package siprp.database.cayenne.objects;

import siprp.database.cayenne.objects.auto._MarcacoesEstabelecimento;

public class MarcacoesEstabelecimento extends _MarcacoesEstabelecimento
{

	private static final long serialVersionUID = 1L;

	@Override
	public String toString()
	{
		return DATE_FORMAT.format( getData() );
	}
	
	@Override
	public int compareTo( BaseObject marcacao )
	{
		if( marcacao instanceof MarcacoesEstabelecimento )
		{
			return this.getData().compareTo( ( ( MarcacoesEstabelecimento) marcacao ).getData() );
		}
		else
		{
			return super.compareTo( marcacao );
		}
	}
	
}



